import { JwtPayload } from 'jwt-decode';
export default interface IPayload extends JwtPayload {
    authenticated: boolean;
    roles: string[];
    permissions: string[];
    username: string;
    sessionToken: string;
    oUser: {
        _id: string | null;
        isOwner: boolean;
        last_login: number;
        lang: string;
    };
    oAccount: {
        _id: string;
        id_account: number;
        is_admin: boolean;
    };
}
//# sourceMappingURL=IPayload.d.ts.map