import { IHeader, IPayload } from './index';
export default interface IUser {
    getJwtToken: () => string;
    getPayload: () => IPayload;
    getHeader: () => IHeader;
    isAuthenticated: () => boolean;
    isOwner: () => boolean;
    isAdmin: () => boolean;
    getLastLogin: () => number;
    hasPermission: (name: string) => boolean;
    hasRole: (name: string) => boolean;
    getLang: () => string;
}
//# sourceMappingURL=IUser.d.ts.map