import IText from './interfaces/translations/IText';
import I18nInterface from './interfaces/I18n';
export default class I18n implements I18nInterface {
    private lang;
    private dictionary;
    private static TRANSLATION_OBJECT_REGEX;
    constructor(lang: string, texts: IText);
    getLang(): string;
    setLang(lang: string): void;
    translate(text: string, ...args: any[]): string;
    private isTranslationObject;
    private getTranslationObject;
    private getTranslation;
    private createHash;
    private format;
}
//# sourceMappingURL=I18n.d.ts.map