"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var Request_1 = __importDefault(require("./../request/Request"));
var User_1 = __importDefault(require("./../user/User"));
var FrontendSDK_1 = __importDefault(require("./../FrontendSDK"));
var misc = __importStar(require("./../../util/Misc"));
var VALID_TOKEN = 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SqSRnExM0unMr-_Q10eR4VTfkNia4-ChB1E9Rv3kNGQ';
test('Should be the same instance', function () {
    var instance = FrontendSDK_1.default.getInstance();
    expect(instance).toBeInstanceOf(FrontendSDK_1.default);
    var newInstance = FrontendSDK_1.default.getInstance();
    expect(newInstance).toEqual(instance);
});
test('Should return User instance', function () {
    var user = FrontendSDK_1.default.getInstance().getUser(VALID_TOKEN);
    expect(user).toBeInstanceOf(User_1.default);
});
test('Should return Request instance', function () {
    var request = FrontendSDK_1.default.getInstance().getRequest('https://google.com');
    expect(request).toBeInstanceOf(Request_1.default);
});
test('Should have same properties as Misc', function () {
    var Misc = FrontendSDK_1.default.getInstance().misc;
    expect(Object.keys(Misc)).toEqual(Object.keys(misc));
});
//# sourceMappingURL=FrontendSDK.test.js.map